/**
 * @file
 */

(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.active_description_tooltip = {
    attach: function (context, settings) {
      var tableElements = document.querySelectorAll(
        ".layout-builder-add-block .field-multiple-table tbody tr,.layout-builder-add-block .field--type-entity-reference-revisions "
      );

      tableElements.forEach(function (tableElement) {
        let paragraphTypeTop = tableElement.querySelectorAll(
          ".paragraph-type-top"
        );

        once("active_paragraph_dropdown", paragraphTypeTop, context).forEach(
          function (el) {
            el.addEventListener("click", function () {
              if (
                el.classList.contains("active") &&
                el.nextElementSibling.classList.contains("active")
              ) {
                el.classList.remove("active");
                el.nextElementSibling.classList.remove("active");
              } else {
                // Remove 'active' class from all elements
                var allparagraphTypeTop = document.querySelectorAll(
                  ".paragraph-type-top"
                );

                allparagraphTypeTop.forEach(function (item) {
                  item.classList.remove("active");
                });

                // Remove 'active' class from all subforms
                var allSubforms = document.querySelectorAll(
                  ".paragraphs-subform"
                );
                allSubforms.forEach(function (subform) {
                  subform.classList.remove("active");
                });

                // Add 'active' class to the clicked element
                el.classList.toggle("active");

                // Add 'active' class to the next sibling if it exists and has the 'paragraphs-subform' class
                var nextSibling = el.nextElementSibling;
                if (
                  nextSibling &&
                  nextSibling.classList.contains("paragraphs-subform")
                ) {
                  nextSibling.classList.toggle("active");
                }
              }
            });
          }
        );
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
